package speiger.src.coreengine.ui.gui.component.base;

import speiger.src.coreengine.ui.gui.layout.box.IGuiBox;
import speiger.src.coreengine.ui.gui.layout.constraint.ConstraintContainer;

public interface IComponentScreen {
	public IGuiBox getBox();
	public long clock();
	
	public void pushLayer();
	public void popLayer();
	public GuiComponent addComponent(GuiComponent component, ConstraintContainer constraints);
	public boolean hasComponent(GuiComponent component);
	public boolean removeComponent(GuiComponent component);
}
